Module javafx.graphics
Package javafx.css

# Class SimpleSelector

java.lang.Object
javafx.css.Selector
javafx.css.SimpleSelector

@Deprecated(since="23", forRemoval=true) public final class SimpleSelector extends Selector
Deprecated, for removal: This API element is subject to removal in a future version.
This class was exposed erroneously and will be removed in a future version
A simple selector which behaves according to the CSS standard.

Since:
  9

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `applies(Styleable styleable)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets whether this `Selector` applies to the given `Styleable`.
  `boolean`
  `applies(Styleable styleable, Set<PseudoClass>[] pseudoClasses, int depth)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets whether this `Selector` applies to the given `Styleable`.
  `Match`
  `createMatch()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Creates a `Match`.
  `String`
  `getId()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the value of the selector id.
  `String`
  `getName()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the name of the java class to which this selector is applied, or *.
  `NodeOrientation`
  `getNodeOrientation()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the `NodeOrientation` of this `Selector`.
  `List<String>`
  `getStyleClasses()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets an immutable list of style-classes of the `Selector`.
  `Set<String>`
  `getStyleClassNames()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the immutable set of style class names of this Selector.
  `Set<StyleClass>`
  `getStyleClassSet()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Gets the immutable `Set` of `StyleClass`es of the `Selector`.
  `boolean`
  `stateMatches(Styleable styleable, Set<PseudoClass> states)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Determines whether the current state of the `Node` and its parents matches the pseudo-classes defined (if any) for this selector.
  `String`
  `toString()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Converts this object to a string.
  `protected final void`
  `writeBinary(DataOutputStream os, StyleConverter.StringStore stringStore)`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Writes `Selector` data in binary form to given `DataOutputStream`.

  ### Methods declared in class javafx.css.Selector

  `createSelector, getOrdinal, getRule, setOrdinal`

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getName

    public String getName()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the name of the java class to which this selector is applied, or *.
    Returns:
      the name of the java class

  - ### getStyleClasses

    public List<String> getStyleClasses()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets an immutable list of style-classes of the `Selector`.
    Returns:
      an immutable list of style-classes of the `Selector`

  - ### getStyleClassSet

    public Set<StyleClass> getStyleClassSet()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the immutable `Set` of `StyleClass`es of the `Selector`.
    Returns:
      the `Set` of `StyleClass`es

  - ### getId

    public String getId()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the value of the selector id.
    Returns:
      the value of the selector id, which may be an empty string

  - ### getNodeOrientation

    public NodeOrientation getNodeOrientation()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Gets the `NodeOrientation` of this `Selector`.
    Returns:
      the `NodeOrientation`

  - ### getStyleClassNames

    public Set<String> getStyleClassNames()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Gets the immutable set of style class names of this Selector.
    Specified by:
      `getStyleClassNames` in class `Selector`
    Returns:
      an immutable set with style class names, never `null`, or contains `null`s, but can be empty

  - ### createMatch

    public Match createMatch()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Creates a `Match`.
    Specified by:
      `createMatch` in class `Selector`
    Returns:
      a match, never `null`

  - ### applies

    public boolean applies(Styleable styleable)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Gets whether this `Selector` applies to the given `Styleable`.
    Specified by:
      `applies` in class `Selector`
    Parameters:
      `styleable` - the `Styleable` to match
    Returns:
      `true` if this `Selector` applies to the given `Styleable`

  - ### applies

    public boolean applies(Styleable styleable, Set<PseudoClass>[] pseudoClasses, int depth)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Gets whether this `Selector` applies to the given `Styleable`. It is the same as the `Selector.applies(javafx.css.Styleable)` method except it also returns `PseudoClass` state that it finds along the way.
    Specified by:
      `applies` in class `Selector`
    Parameters:
      `styleable` - the `Styleable` to match
      `pseudoClasses` - a set of `PseudoClass` states
      `depth` - depth of the `Node` heirarchy to look for
    Returns:
      `true` if this `Selector` and a set of `PseudoClass` applies to the given `Styleable`

  - ### stateMatches

    public boolean stateMatches(Styleable styleable, Set<PseudoClass> states)
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Determines whether the current state of the `Node` and its parents matches the pseudo-classes defined (if any) for this selector.
    Specified by:
      `stateMatches` in class `Selector`
    Parameters:
      `styleable` - the styleable
      `states` - the state
    Returns:
      `true` if the current state of the node and its parents matches the pseudo-classes defined (if any) for this selector

  - ### toString

    public String toString()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Converts this object to a string.
    Overrides:
      `toString` in class `Object`

  - ### writeBinary

    protected final void writeBinary(DataOutputStream os, StyleConverter.StringStore stringStore) throws IOException
    Deprecated, for removal: This API element is subject to removal in a future version.
    Description copied from class: `Selector`
    Writes `Selector` data in binary form to given `DataOutputStream`.
    Overrides:
      `writeBinary` in class `Selector`
    Parameters:
      `os` - `DataOutputStream` to write `Selector` data to
      `stringStore` - unused
    Throws:
      `IOException` - if writing to `DataOutputStream` fails